geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sppa...@apache.org
Subject svn commit: r509298 - in /geronimo/devtools/eclipse-plugin/trunk: emf/geronimo-1.1/pom.xml plugins/org.apache.geronimo.runtime.v11/pom.xml pom.xml
Date Mon, 19 Feb 2007 18:59:02 GMT
Author: sppatel
Date: Mon Feb 19 10:59:01 2007
New Revision: 509298

URL: http://svn.apache.org/viewvc?view=rev&rev=509298
Log:
update platform to 3.3m5 and work around build issues 

Modified:
    geronimo/devtools/eclipse-plugin/trunk/emf/geronimo-1.1/pom.xml
    geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.runtime.v11/pom.xml
    geronimo/devtools/eclipse-plugin/trunk/pom.xml

Modified: geronimo/devtools/eclipse-plugin/trunk/emf/geronimo-1.1/pom.xml
URL: http://svn.apache.org/viewvc/geronimo/devtools/eclipse-plugin/trunk/emf/geronimo-1.1/pom.xml?view=diff&rev=509298&r1=509297&r2=509298
==============================================================================
--- geronimo/devtools/eclipse-plugin/trunk/emf/geronimo-1.1/pom.xml (original)
+++ geronimo/devtools/eclipse-plugin/trunk/emf/geronimo-1.1/pom.xml Mon Feb 19 10:59:01 2007
@@ -187,11 +187,31 @@
             </plugin>
         </plugins>
     </build>
+    <!-- The exclusions in the depenencies below are needed due to incorrect published
poms that cannot be fixed and -->
+    <!-- thus exclusions are needed to avoid attempt to pull in these missing transative
dependencies -->
     <dependencies>
         <dependency>
             <groupId>openejb</groupId>
             <artifactId>openejb-pkgen-builder</artifactId>
             <version>${openejbVersion}</version>
+            <exclusions>
+                <exclusion>
+                    <groupId>geronimo-spec</groupId>
+                    <artifactId>geronimo-spec-corba</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>org.apache.geronimo.specs</groupId>
+                    <artifactId>geronimo-j2ee-jacc_1.0_spec</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>org.apache.geronimo.schema</groupId>
+                    <artifactId>geronimo-schema</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>org.apache.geronimo.schema</groupId>
+                    <artifactId>geronimo-schema-j2ee_1.4</artifactId>
+                </exclusion>
+            </exclusions>
         </dependency>
         <dependency>
             <groupId>openejb</groupId>
@@ -202,6 +222,18 @@
                     <groupId>geronimo-spec</groupId>
                     <artifactId>geronimo-spec-corba</artifactId>
                 </exclusion>
+                <exclusion>
+                    <groupId>org.apache.geronimo.specs</groupId>
+                    <artifactId>geronimo-j2ee-jacc_1.0_spec</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>org.apache.geronimo.schema</groupId>
+                    <artifactId>geronimo-schema</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>org.apache.geronimo.schema</groupId>
+                    <artifactId>geronimo-schema-j2ee_1.4</artifactId>
+                </exclusion>
             </exclusions>
         </dependency>
         <dependency>
@@ -213,16 +245,50 @@
             <groupId>geronimo</groupId>
             <artifactId>geronimo-naming-builder</artifactId>
             <version>${geronimoVersion}</version>
+            <exclusions>
+                <exclusion>
+                    <groupId>org.apache.geronimo.schema</groupId>
+                    <artifactId>geronimo-schema</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>org.apache.geronimo.schema</groupId>
+                    <artifactId>geronimo-schema-j2ee_1.4</artifactId>
+                </exclusion>
+            </exclusions>
         </dependency>
         <dependency>
             <groupId>geronimo</groupId>
             <artifactId>geronimo-web-builder</artifactId>
             <version>${geronimoVersion}</version>
+            <exclusions>
+                <exclusion>
+                    <groupId>org.apache.geronimo.specs</groupId>
+                    <artifactId>geronimo-j2ee-jacc_1.0_spec</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>org.apache.geronimo.schema</groupId>
+                    <artifactId>geronimo-schema</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>org.apache.geronimo.schema</groupId>
+                    <artifactId>geronimo-schema-j2ee_1.4</artifactId>
+                </exclusion>
+            </exclusions>
         </dependency>
         <dependency>
             <groupId>geronimo</groupId>
             <artifactId>geronimo-j2ee-builder</artifactId>
             <version>${geronimoVersion}</version>
+            <exclusions>
+                <exclusion>
+                    <groupId>org.apache.geronimo.schema</groupId>
+                    <artifactId>geronimo-schema</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>org.apache.geronimo.schema</groupId>
+                    <artifactId>geronimo-schema-j2ee_1.4</artifactId>
+                </exclusion>
+            </exclusions>
         </dependency>
         <dependency>
             <groupId>geronimo</groupId>
@@ -233,7 +299,6 @@
             <groupId>geronimo</groupId>
             <artifactId>geronimo-connector-builder</artifactId>
             <version>${geronimoVersion}</version>
-            <!-- Needed to fix and bypass 1.1.1 bad transitive dependencies -->
             <exclusions>
                 <exclusion>
                     <groupId>org.apache.geronimo.specs</groupId>
@@ -253,7 +318,6 @@
             <groupId>geronimo</groupId>
             <artifactId>geronimo-client-builder</artifactId>
             <version>${geronimoVersion}</version>
-            <!-- Needed to fix and bypass 1.1.1 bad transitive dependencies -->
             <exclusions>
                 <exclusion>
                     <groupId>org.apache.geronimo.schema</groupId>

Modified: geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.runtime.v11/pom.xml
URL: http://svn.apache.org/viewvc/geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.runtime.v11/pom.xml?view=diff&rev=509298&r1=509297&r2=509298
==============================================================================
--- geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.runtime.v11/pom.xml
(original)
+++ geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.runtime.v11/pom.xml
Mon Feb 19 10:59:01 2007
@@ -175,12 +175,13 @@
             </plugin>
         </plugins>
     </build>
+    <!-- The exclusions in the depenencies below are needed due to incorrect published
poms that cannot be fixed and -->
+    <!-- thus exclusions are needed to avoid attempt to pull in these missing transative
dependencies -->
     <dependencies>
         <dependency>
             <groupId>geronimo</groupId>
             <artifactId>geronimo-kernel</artifactId>
             <version>${geronimoVersion}</version>
-            <!-- Needed to fix and bypass 1.1.1 bad transitive dependencies -->
             <exclusions>
                 <exclusion>
                     <groupId>org.apache.geronimo.specs</groupId>
@@ -197,7 +198,6 @@
             <groupId>geronimo</groupId>
             <artifactId>geronimo-deploy-jsr88</artifactId>
             <version>${geronimoVersion}</version>
-            <!-- Needed to fix and bypass 1.1.1 bad transitive dependencies -->
             <exclusions>
                 <exclusion>
                     <groupId>org.apache.geronimo.specs</groupId>
@@ -219,9 +219,9 @@
             <version>${geronimoVersion}</version>
         </dependency>
         <dependency>
-            <groupId>geronimo</groupId>
-            <artifactId>geronimo-j2ee-schema</artifactId>
-            <version>${geronimoVersion}</version>
+            <groupId>org.apache.geronimo.schema</groupId>
+            <artifactId>geronimo-schema-j2ee_1.4</artifactId>
+            <version>1.1</version>
         </dependency>
         <dependency>
             <groupId>geronimo</groupId>
@@ -232,7 +232,6 @@
             <groupId>geronimo</groupId>
             <artifactId>geronimo-connector-builder</artifactId>
             <version>${geronimoVersion}</version>
-            <!-- Needed to fix and bypass 1.1.1 bad transitive dependencies -->
             <exclusions>
                 <exclusion>
                     <groupId>org.apache.geronimo.specs</groupId>
@@ -252,7 +251,6 @@
             <groupId>geronimo</groupId>
             <artifactId>geronimo-web-builder</artifactId>
             <version>${geronimoVersion}</version>
-            <!-- Needed to fix and bypass 1.1.1 bad transitive dependencies -->
             <exclusions>
                 <exclusion>
                     <groupId>org.apache.geronimo.specs</groupId>
@@ -268,12 +266,21 @@
             <groupId>geronimo</groupId>
             <artifactId>geronimo-naming-builder</artifactId>
             <version>${geronimoVersion}</version>
+            <exclusions>
+                <exclusion>
+                    <groupId>org.apache.geronimo.schema</groupId>
+                    <artifactId>geronimo-schema</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>org.apache.geronimo.schema</groupId>
+                    <artifactId>geronimo-schema-j2ee_1.4</artifactId>
+                </exclusion>
+            </exclusions>
         </dependency>
         <dependency>
             <groupId>geronimo</groupId>
             <artifactId>geronimo-j2ee-builder</artifactId>
             <version>${geronimoVersion}</version>
-            <!-- Needed to fix and bypass 1.1.1 bad transitive dependencies -->
             <exclusions>
                 <exclusion>
                     <groupId>org.apache.geronimo.schema</groupId>
@@ -285,11 +292,22 @@
             <groupId>openejb</groupId>
             <artifactId>openejb-builder</artifactId>
             <version>${openejbVersion}</version>
-            <!-- Needed to fix and bypass 1.1.1 bad transitive dependencies -->
             <exclusions>
                 <exclusion>
                     <groupId>geronimo-spec</groupId>
                     <artifactId>geronimo-spec-corba</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>org.apache.geronimo.specs</groupId>
+                    <artifactId>geronimo-j2ee-jacc_1.0_spec</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>org.apache.geronimo.schema</groupId>
+                    <artifactId>geronimo-schema</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>org.apache.geronimo.schema</groupId>
+                    <artifactId>geronimo-schema-j2ee_1.4</artifactId>
                 </exclusion>
             </exclusions>
         </dependency>

Modified: geronimo/devtools/eclipse-plugin/trunk/pom.xml
URL: http://svn.apache.org/viewvc/geronimo/devtools/eclipse-plugin/trunk/pom.xml?view=diff&rev=509298&r1=509297&r2=509298
==============================================================================
--- geronimo/devtools/eclipse-plugin/trunk/pom.xml (original)
+++ geronimo/devtools/eclipse-plugin/trunk/pom.xml Mon Feb 19 10:59:01 2007
@@ -97,12 +97,12 @@
         <stax-api_version>1.0</stax-api_version>
         <junitVersion>3.8.1</junitVersion>
         <!-- Eclipse Distribution URLs -->
-        <platformDriver>S-3.3M4-200612141445/eclipse-SDK-3.3M4</platformDriver>
+        <platformDriver>S-3.3M5-200702091006/eclipse-SDK-3.3M5</platformDriver>
         <platformUrl>http://download.eclipse.org/eclipse/downloads/drops/${platformDriver}</platformUrl>
         <emfUrl>http://download.eclipse.org/modeling/emf/emf/downloads/drops/2.3.0/S200612211251/emf-sdo-xsd-SDK-2.3.0M4.zip</emfUrl>
         <dptUrl>http://download.eclipse.org/datatools/downloads/1.0/dtp-sdk_1.0_200612211.zip</dptUrl>
         <gefUrl>http://download.eclipse.org/tools/gef/downloads/drops/S-3.3M4-200612191422/GEF-SDK-3.3M4.zip</gefUrl>
-        <wtpUrl>http://download.eclipse.org/webtools/downloads/drops/2.0/S-2.0M4-200701050358/wtp-sdk-S-2.0M4-200701050358.zip</wtpUrl>
+        <wtpUrl>http://download.eclipse.org/webtools/downloads/drops/R2.0/S-2.0M4-200701050358/wtp-sdk-S-2.0M4-200701050358.zip</wtpUrl>
     </properties>
     <dependencyManagement>
         <dependencies>



Mime
View raw message